import { QueryClient, QueryKey } from '@tanstack/query-core';

type QuerySuccessHandler<TQueryFnData> = (data: TQueryFnData) => void;
type QueryErrorHandler<TError> = (err: TError) => void;
type QuerySettledHandler<TQueryFnData, TError> = (data: TQueryFnData | undefined, error: TError | null) => void;
interface QueryCallbacks<TQueryFnData, TError> {
    onSuccess?: QuerySuccessHandler<TQueryFnData>;
    onError?: QueryErrorHandler<TError>;
    onSettled?: QuerySettledHandler<TQueryFnData, TError>;
}
interface SubscribeQueryCallbacksProps<TQueryFnData, TError> extends QueryCallbacks<TQueryFnData, TError> {
    queryClient: QueryClient;
    queryKey: QueryKey;
}
declare function subscribeQueryCallbacks<TQueryFnData = unknown, TError = unknown>({ queryClient, queryKey, onSuccess, onError, onSettled, }: SubscribeQueryCallbacksProps<TQueryFnData, TError>): () => void;

export { subscribeQueryCallbacks };
export type { QueryCallbacks, QueryErrorHandler, QuerySettledHandler, QuerySuccessHandler, SubscribeQueryCallbacksProps };
