'use strict';

const reactQuery = require('@tanstack/react-query');
const react = require('react');
const core_index = require('../core/index.cjs');
require('@tanstack/query-core');

function useQueryCallbacks(props) {
  const queryClient = reactQuery.useQueryClient(
    props.context ? { context: props.context } : props.queryClient
    // for v5
  );
  react.useEffect(() => {
    return core_index.subscribeQueryCallbacks({
      queryClient,
      queryKey: props.queryKey,
      onSuccess: props.onSuccess,
      onError: props.onError,
      onSettled: props.onSettled
    });
  }, [
    props.queryKey,
    props.onSuccess,
    props.onError,
    props.onSettled
  ]);
}

exports.useQueryCallbacks = useQueryCallbacks;
