import { QueryKey, QueryClient } from '@tanstack/react-query';
import { Context } from 'react';
import { QueryCallbacks } from '../core/index.mjs';
import '@tanstack/query-core';

interface UseQueryCallbacksProps<TQueryFnData, TError> extends QueryCallbacks<TQueryFnData, TError> {
    queryKey: QueryKey;
    /**
     * QueryClient instance
     */
    queryClient?: QueryClient;
    /**
     * QueryClient context for v4
     */
    context?: Context<QueryClient | undefined>;
}
declare function useQueryCallbacks<TQueryFnData = unknown, TError = unknown>(props: UseQueryCallbacksProps<TQueryFnData, TError>): void;

export { useQueryCallbacks };
export type { UseQueryCallbacksProps };
