'use strict';

const vueQuery = require('@tanstack/vue-query');
const vueDemi = require('vue-demi');
const core_index = require('../core/index.cjs');
require('@tanstack/query-core');

function useQueryCallbacks(props) {
  const queryClient = props.queryClient ?? (props.queryClientKey ? vueDemi.inject(props.queryClientKey, void 0) : void 0) ?? vueQuery.useQueryClient(props.queryClientId);
  vueDemi.watch(
    () => vueDemi.unref(props.queryKey),
    (queryKey, _oldVal, onCleanup) => {
      const unsubscribe = core_index.subscribeQueryCallbacks({
        queryClient,
        queryKey,
        onSuccess: props.onSuccess,
        onError: props.onError,
        onSettled: props.onSettled
      });
      onCleanup(() => {
        unsubscribe();
      });
    },
    { immediate: true }
  );
}

exports.useQueryCallbacks = useQueryCallbacks;
