import { QueryKey, QueryClient } from '@tanstack/vue-query';
import { Ref } from 'vue-demi';
import { QueryCallbacks } from '../core/index.mjs';
import '@tanstack/query-core';

interface UseQueryCallbacksProps<TQueryFnData, TError> extends QueryCallbacks<TQueryFnData, TError> {
    queryKey: QueryKey | Ref<QueryKey>;
    /**
     * QueryClient instance
     */
    queryClient?: QueryClient;
    /**
     * QueryClient Context Key for inject
     */
    queryClientKey?: string;
    /**
     * QueryClient ID for v5 useQueryClient()
     */
    queryClientId?: string;
}
declare function useQueryCallbacks<TQueryFnData = unknown, TError = unknown>(props: UseQueryCallbacksProps<TQueryFnData, TError>): void;

export { useQueryCallbacks };
export type { UseQueryCallbacksProps };
